This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 429809 - Review Request: mumble - low-latency, high quality voice chat software
Review Request: mumble - low-latency, high quality voice chat software
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2008-01-23 01:50 EST by Marc Wiriadisastra
Modified: 2009-01-19 07:52 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-19 07:52:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marc Wiriadisastra 2008-01-23 01:50:28 EST
Spec URL: http://mwiriadi.fedorapeople.org/packages/mumble/mumble.spec
SRPM URL: http://mwiriadi.fedorapeople.org/packages/mumble/mumble-1.1.2-1.fc8.src.rpm
Description: 
Low-latency, high-quality voice communication for gamers. Includes game
linking, so voice from other players comes from the direction of their
characters, and has echo cancellation so the sound from your loudspeakers
won't be audible to other players.

mumble is rpmlint free though it errors when I try to install with the following error:
Marking mumble-1.1.2-1.fc8.i386.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package mumble.i386 0:1.1.2-1.fc8 set to be updated
--> Processing Dependency: libc.so.6(GLIBC_PRIVATE) for package: mumble
--> Finished Dependency Resolution
Error: Missing Dependency: libc.so.6(GLIBC_PRIVATE) is needed by package mumble

I'm a bit stumped at the moment and obviously I've stuffed up because it shouldn't do that.

mumble-server has rpmlint errors relating to the init.d file which I can't work out:
[marc@Strike-Lap i386]$ rpmlint mumble-server-1.1.2-1.fc8.i386.rpm 
mumble-server.i386: E: subsys-not-used /etc/rc.d/init.d/mumble-server
Comment 1 Michel Alexandre Salim 2008-01-23 02:08:06 EST
Never seen GLIBC_PRIVATE before -- weird. I might take a look at it, but not now
-- wrestling with LLVM.
Comment 2 Martin Jürgens 2008-01-23 09:42:26 EST
I've had the same problem with "Error: Missing Dependency:
libc.so.6(GLIBC_PRIVATE) is needed by package mumble" when doing my package, but
it worked fine when forcing it to install so I also did and do not have any clue
about what that is.

Anyway, thanks for your efforts and sorry for not being able to continue to
package it.
Comment 3 Martin Jürgens 2008-05-18 10:51:04 EDT
Hm does it happen with F9 also??
Comment 4 John Mahowald 2008-05-31 00:17:22 EDT
I see mumble includes a copy of speex source that it builds. Why do they do this
instead of linking against speex, which already is packaged? I'd ask upstream
about it.

Resource problems in the build as well, x86_64 development:

cd src/mumble/ && /usr/lib64/qt4/bin/qmake-qt4 mumble.pro -unix -o Makefile
RCC: Error in 'mumble.qrc': Cannot find file 'mumble_en.qm'
RCC: Error in 'mumble.qrc': Cannot find file 'mumble_es.qm'
RCC: Error in 'mumble.qrc': Cannot find file 'mumble_fr.qm'
RCC: Error in 'mumble.qrc': Cannot find file 'mumble_de.qm'
RCC: Error in 'mumble.qrc': Cannot find file 'mumble_tr.qm'
RCC: Error in 'mumble.qrc': Cannot find file 'mumble_ru.qm'
RCC: Error in 'mumble.qrc': Cannot find file 'mumble_ja.qm'
RCC: Error in 'mumble.qrc': Cannot find file 'qt_de.qm'
RCC: Error in 'mumble.qrc': Cannot find file 'qt_es.qm'
RCC: Error in 'mumble.qrc': Cannot find file 'qt_fr.qm'
RCC: Error in 'mumble.qrc': Cannot find file 'qt_ru.qm'
RCC: Error in 'mumble.qrc': Cannot find file 'qt_ja_jp.qm'
RCC: Error in 'mumble.qrc': Cannot find file 'mumble_en.qm'
RCC: Error in 'mumble.qrc': Cannot find file 'mumble_es.qm'
RCC: Error in 'mumble.qrc': Cannot find file 'mumble_fr.qm'
RCC: Error in 'mumble.qrc': Cannot find file 'mumble_de.qm'
RCC: Error in 'mumble.qrc': Cannot find file 'mumble_tr.qm'
RCC: Error in 'mumble.qrc': Cannot find file 'mumble_ru.qm'
RCC: Error in 'mumble.qrc': Cannot find file 'mumble_ja.qm'
RCC: Error in 'mumble.qrc': Cannot find file 'qt_de.qm'
RCC: Error in 'mumble.qrc': Cannot find file 'qt_es.qm'
RCC: Error in 'mumble.qrc': Cannot find file 'qt_fr.qm'
RCC: Error in 'mumble.qrc': Cannot find file 'qt_ru.qm'
RCC: Error in 'mumble.qrc': Cannot find file 'qt_ja_jp.qm'
cd src/mumble/ && make -f Makefile 
make[1]: Entering directory `/builddir/build/BUILD/mumble-1.1.2/src/mumble'
make -f Makefile.Release
make[2]: Entering directory `/builddir/build/BUILD/mumble-1.1.2/src/mumble'
lrelease mumble.pro
make[2]: 
execvp: lrelease: Permission denied
make[2]: 
*** [mumble_en.qm] Error 127
make[2]: Leaving directory `/builddir/build/BUILD/mumble-1.1.2/src/mumble'
make[1]: 
*** [release] Error 2
make[1]: Leaving directory `/builddir/build/BUILD/mumble-1.1.2/src/mumble'
make: 
*** [sub-src-mumble-make_default] Error 2
Comment 5 Thorvald Natvig 2008-05-31 06:07:20 EDT
Speex is bundled because Mumble needs a newer version of speex than what is 
packaged.
The resource "problem" is due to files that are copied in the Makefile, the 
actual problem is your "permission denied" for lrelease.
Comment 6 Martin Jürgens 2008-05-31 07:27:17 EDT
See
http://sourceforge.net/tracker/index.php?func=detail&aid=1796184&group_id=147372&atid=768008,
also, I do not know if it applies now though.
Comment 7 Jason Tibbitts 2008-06-25 18:22:26 EDT
Anything happening with this package?
Comment 8 Marc Wiriadisastra 2008-06-26 06:36:05 EDT
Probably not Jason I'm to busy with work. I'll probably have to withdraw myself
from this review request.
Comment 9 manuel wolfshant 2008-06-26 06:50:33 EDT
I would say that using a private copy of speex is definitely a no go for fedora.
If a newer version is needed, please ask it's maintainer to upgrade it.
Comment 10 Jason Tibbitts 2008-06-30 10:41:58 EDT
I guess I'll go ahead and close this; feel free to reopen it if you have more
time and wish to continue.
Comment 11 Simon 2009-01-10 18:48:32 EST
reopened

I think i'll have enough time to continue, but I need a little bit of help, because I'm still a packaging-padawan and still in a learning process. 

SPEC: http://cassmodiah.fedorapeople.org/mumble-1.1.6/mumble.spec
SRPM: http://cassmodiah.fedorapeople.org/mumble-1.1.6/mumble-1.1.6-1.fc10.src.rpm

successfully builded in my local mock  
INFO: Done(mumble-1.1.6-1.fc10.src.rpm) Config(fedora-10-i386) 56 minutes 47 seconds

rpmlint errors:
mumble-server.i386: W: service-default-enabled /etc/rc.d/init.d/mumble-server
mumble-server.i386: E: no-status-entry /etc/rc.d/init.d/mumble-server
mumble-server.i386: E: no-chkconfig-line /etc/rc.d/init.d/mumble-server
mumble-server.i386: E: subsys-not-used /etc/rc.d/init.d/mumble-server

I haven't understand the nature of initscripts yet, so I need help to fix these errors, please.
Comment 12 Simon 2009-01-11 07:28:03 EST
And I have the Problem with missing glibc_private, too
 
Error: Missing Dependency: libc.so.6(GLIBC_PRIVATE) is needed by package mumble

Package is not installable
Comment 13 Simon 2009-01-19 07:52:40 EST
Kevin Fenzi told me that this is not the right way to continue a closed review. I closed this and will open a new review request after i fixed the problems.

perhaps someone is faster than me.

Note You need to log in before you can comment on or make changes to this bug.